> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tedro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Pause broadcast

> Pause a sending broadcast. Admin only.



## OpenAPI

````yaml /api-reference/openapi.json post /api/broadcasts/{id}/pause
openapi: 3.1.0
info:
  title: Tedro API
  version: 1.0.0
  description: REST API for the Tedro communication operations platform.
servers:
  - url: https://api.tedro.io
    description: Production
security:
  - sessionCookie: []
    workspaceId: []
paths:
  /api/broadcasts/{id}/pause:
    post:
      tags:
        - Broadcasts
      summary: Pause broadcast
      description: Pause a sending broadcast. Admin only.
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EmptyBody'
      responses:
        '200':
          description: Broadcast paused
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BroadcastPausedResponse'
        '400':
          description: Bad Request - broadcast not currently sending
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BroadcastPauseBlockedResponse'
        '401':
          description: Unauthorized - missing or invalid session cookie
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden - insufficient role (admin required)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - sessionCookie: []
          workspaceId: []
components:
  schemas:
    EmptyBody:
      type: object
      properties: {}
      additionalProperties: false
      description: Empty request body (action endpoint)
    BroadcastPausedResponse:
      type: object
      properties:
        ok:
          type: boolean
      required:
        - ok
    BroadcastPauseBlockedResponse:
      type: object
      properties:
        error:
          type: string
      required:
        - error
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    sessionCookie:
      type: apiKey
      in: cookie
      name: better-auth.session_token
      description: Session cookie set by Better Auth on sign-in.
    workspaceId:
      type: apiKey
      in: header
      name: x-workspace-id
      description: Workspace UUID. Required on all /api/* endpoints.

````